Re: [PATCH] select EFI partition support by default

From: Peter Chubb <peter_at_chubb.wattle.id.au>
Date: 2003-10-14 06:55:16
>>>>> "John" == John Levon <levon@movementarian.org> writes:

John> On Mon, Oct 13, 2003 at 10:00:47AM +0100, Christoph Hellwig
John> wrote:
>> > > +       bool "EFI GUID Partition support" if PARTITION_ADVANCED
>> > > +       default y if !PARTITION_ADVANCED && IA64
>> > 
>> > Can we make CONFIG_LBD force on CONFIG_EFI_PARTITION too then?
>> 
>> I know the LBD backport is used with SGI disklabels in production
>> enviroments.  In fact that's the only production use I know of at
>> all...

John> Besides, unless I'm missing something, current 2.6 doesn't
John> prompt for LBD for IA64 at all ?

John> So, anybody want the patch :)

There's no need to prompt for CONFIG_LBD in 2.6, as all 64-bit
architectures use  64-bit variables for sector_t.

It's only on 32-bit architectures that it's necessary.

Under 2.4, however, CONFIG_LBD is (or should be) forced on for IA64.

Peterc
-
To unsubscribe from this list: send the line "unsubscribe linux-ia64" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html
Received on Mon Oct 13 16:56:27 2003

This archive was generated by hypermail 2.1.8 : 2005-08-02 09:20:19 EST